MPD: db/update/UpdateIO.hxx File Reference

MPD 0.20.18

Functions
UpdateIO.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
Include dependency graph for UpdateIO.hxx:

Go to the source code of this file.

## Functions
bool | GetInfo (Storage &storage, const char *uri_utf8, StorageFileInfo &info) noexcept
| Wrapper for Storage::GetInfo() that logs errors instead of returning them. More...
bool | GetInfo (StorageDirectoryReader &reader, StorageFileInfo &info) noexcept
| Wrapper for LocalDirectoryReader::GetInfo() that logs errors instead of returning them. More...
gcc_pure bool | DirectoryExists (Storage &storage, const Directory &directory) noexcept
gcc_pure bool | directory_child_is_regular (Storage &storage, const Directory &directory, const char *name_utf8) noexcept
gcc_pure bool | directory_child_access (Storage &storage, const Directory &directory, const char *name, int mode) noexcept
| Checks if the given permissions on the mapped file are given. More...

## Function Documentation

## ◆ directory_child_access()

gcc_pure bool directory_child_access | ( | Storage & | storage,
|  | const Directory & | directory,
|  | const char * | name,
|  | int | mode
| ) |  |
| noexcept

Checks if the given permissions on the mapped file are given.

## ◆ directory_child_is_regular()

gcc_pure bool directory_child_is_regular | ( | Storage & | storage,
|  | const Directory & | directory,
|  | const char * | name_utf8
| ) |  |
| noexcept

## ◆ DirectoryExists()

gcc_pure bool DirectoryExists | ( | Storage & | storage,
|  | const Directory & | directory
| ) |  |
| noexcept

## ◆ GetInfo() [1/2]

bool GetInfo | ( | Storage & | storage,
|  | const char * | uri_utf8,
|  | StorageFileInfo & | info
| ) |  |
| noexcept

Wrapper for Storage::GetInfo() that logs errors instead of returning them.

## ◆ GetInfo() [2/2]

bool GetInfo | ( | StorageDirectoryReader & | reader,
|  | StorageFileInfo & | info
| ) |  |
| noexcept

Wrapper for LocalDirectoryReader::GetInfo() that logs errors instead of returning them.